ne_strlower
Prev | neon API reference | Next

## Name

ne_strlower, ne_tolower, ne_tolower_array — convert string or characters to lower-case

## Synopsis

    #include <ne_string.h>

    const unsigned char *ne_tolower_array(void);
    #define ne_tolower(c) (...)

``char *ne_strlower(`char *str`)`;`

## Description

The `ne_strlower` function modifies every character in the `str` parameter to lower-case equivalent in-place, and returns `str`.

The `ne_tolower` macro returns a lower-case equivalent of char `c`. The `ne_tolower_array` returns a character mapping table which is an implementation detail of this macro.

All the above operate on ASCII characters, independent of the locale.

## Return value

`ne_strlower` returns the `str` parameter.

## History

The `ne_strlower` function is available in neon 0.37.0 and later.

## See also

ne_strdup

Prev | Up | Next
ne_strparam | Home | ne_get_error